<section #sanedPlans>
    <mat-card class="col-12 saned-section-wrapper">
        <mat-card-title class="text-center">{{sanedPlanInfoContent?.name}} </mat-card-title>
        <span class="sub-title">{{sanedPlanInfoContent?.content}}</span>
        <ul class="domains col-12 mt-50">
            <li *ngFor="let plan of productDetails; let i = index" class="domain-links">
                <ng-container *ngIf="plan.code === 'HRMS_CORE'">
                    <a class="section-container" *ngIf="plan.code === 'HRMS_CORE'"
                        [routerLink]=" '/Pdp/' + plan.baseProduct">
                        <div class="image"><img class="img-fluid" src="{{hostName + plan?.picture?.url}}"></div>
                        <p class="font-roboto-reg title">{{plan?.baseProduct}}</p>
                        <p class="desc">{{plan?.summary}}</p>
                        <span class="learn-more">Learn more..</span>
                    </a>
                    <!-- <ng-template #comingSoon>
                    <a class="section-container" href="javascript:void(0)">
                        <div class="image"><img class="img-fluid" src="{{hostName + plan?.picture?.url}}"></div>
                        <p class="font-roboto-reg title offHover">{{plan?.code}}</p>
                        <p class="font-roboto-reg title onHover">Coming Soon</p>
                        <p class="desc">{{plan?.summary}}</p>
                        <span class="learn-more">Learn more..</span>
                    </a>
                </ng-template> -->
                    <div class="price-section"><span class="price">SAR
                            {{plan?.priceRange?.maxPrice?.value | number : '1.2-2'}}<span class="mnth">/mo</span></span>
                    </div>
                    <div class="button-section"><button
                            [routerLink]=" plan.baseProduct === 'HRMS' ? '/Pdp/' + plan.baseProduct : '/'">Get
                            Started</button></div>
                </ng-container>
                <ng-container *ngIf="plan.code !== 'HRMS_CORE'">
                    <a class="section-container" *ngIf="plan.code === 'Finance';else comingSoon"
                        [routerLink]=" '/Pdp/' + plan.code">
                        <div class="image"><img class="img-fluid" src="{{hostName + plan?.picture?.url}}"></div>
                        <p class="font-roboto-reg title">{{plan?.code}}</p>
                        <p class="desc">{{plan?.summary}}</p>
                        <span class="learn-more">Learn more..</span>
                    </a>
                    <ng-template #comingSoon>
                        <a class="section-container" href="javascript:void(0)">
                            <div class="image"><img class="img-fluid" src="{{hostName + plan?.picture?.url}}"></div>
                            <p class="font-roboto-reg title offHover">{{plan?.code}}</p>
                            <p class="font-roboto-reg title onHover">Coming Soon</p>
                            <p class="desc">{{plan?.summary}}</p>
                            <span class="learn-more">Learn more..</span>
                        </a>
                    </ng-template>
                    <div class="price-section">
                        <span class="price" *ngIf="plan?.priceRange?.maxPrice">SAR
                            {{plan?.priceRange?.maxPrice?.value | number : '1.2-2'}}
                            <span class="mnth">/mo</span>
                        </span>
                        <span class="price" *ngIf="!plan?.priceRange?.maxPrice">SAR
                            {{plan?.price?.value | number : '1.2-2'}}
                            <span class="mnth">/mo</span>
                        </span>
                    </div>
                    <div class="button-section"><button
                            [routerLink]=" plan.code === 'HRMS' || plan.code === 'Finance' ? '/Pdp/' + plan.code : '/'">Get
                            Started</button></div>
                </ng-container>
            </li>
        </ul>
        <div id="carouselExampleFade" data-interval="false" class="carousel" data-ride="carousel">
            <div class="carousel-inner domains">
                <div *ngFor="let plan of productDetails; let i = index" class="carousel-item domain-links"
                    [ngClass]="{'active': i === 0 }">
                    <ng-container *ngIf="plan.code === 'HRMS_CORE'">
                        <a class="section-container" *ngIf="plan.code === 'HRMS_CORE'"
                            [routerLink]=" '/Pdp/' + plan.baseProduct">
                            <div class="image"><img class="img-fluid" src="{{hostName + plan?.picture?.url}}"></div>
                            <p class="font-roboto-reg title">{{plan?.code}}</p>
                            <p class="desc">{{plan?.summary}}</p>
                            <span class="learn-more">Learn more..</span>
                        </a>
                        <ng-template #comingSoon>
                            <a class="section-container" href="javascript:void(0)">
                                <div class="image"><img class="img-fluid" src="{{hostName + plan?.picture?.url}}"></div>
                                <p class="font-roboto-reg title offHover">{{plan?.code}}</p>
                                <p class="font-roboto-reg title onHover">Coming Soon</p>
                                <p class="desc">{{plan?.summary}}</p>
                                <span class="learn-more">Learn more..</span>
                            </a>
                        </ng-template>
                        <div class="price-section"><span class="price">SAR
                                {{plan?.priceRange?.maxPrice?.value | number : '1.2-2'}}<span
                                    class="mnth">/mo</span></span></div>
                        <div class="button-section"><button
                                [routerLink]=" plan.code === 'HRMS' || plan.code === 'Finance' ? '/Pdp/' + plan.code : '/'">Get
                                Started</button></div>
                    </ng-container>
                    <ng-container *ngIf="plan.code !== 'HRMS_CORE'">
                        <a class="section-container" *ngIf="plan.code === 'Finance' ;else comingSoon"
                            [routerLink]=" '/Pdp/' + plan.code">
                            <div class="image"><img class="img-fluid" src="{{hostName + plan?.picture?.url}}"></div>
                            <p class="font-roboto-reg title">{{plan?.code}}</p>
                            <p class="desc">{{plan?.summary}}</p>
                            <span class="learn-more">Learn more..</span>
                        </a>
                        <ng-template #comingSoon>
                            <a class="section-container" href="javascript:void(0)">
                                <div class="image"><img class="img-fluid" src="{{hostName + plan?.picture?.url}}"></div>
                                <p class="font-roboto-reg title offHover">{{plan?.code}}</p>
                                <p class="font-roboto-reg title onHover">Coming Soon</p>
                                <p class="desc">{{plan?.summary}}</p>
                                <span class="learn-more">Learn more..</span>
                            </a>
                        </ng-template>
                        <div class="price-section">
                            <span class="price" *ngIf="plan?.priceRange?.maxPrice">SAR
                                {{plan?.priceRange?.maxPrice?.value | number : '1.2-2'}}
                                <span class="mnth">/mo</span>
                            </span>
                            <span class="price" *ngIf="!plan?.priceRange?.maxPrice">SAR
                                {{plan?.price?.value | number : '1.2-2'}}
                                <span class="mnth">/mo</span>
                            </span>
                        </div>
                        <div class="button-section"><button
                                [routerLink]=" plan.code === 'HRMS' || plan.code === 'Finance' ? '/Pdp/' + plan.code : '/'">Get
                                Started</button></div>
                    </ng-container>
                </div>
            </div>
            <a class="carousel-control-prev" href="#carouselExampleFade" role="button" data-slide="prev">
                <span class="carousel-control-prev-icon" aria-hidden="true"></span>
                <span class="sr-only">Previous</span>
            </a>
            <a class="carousel-control-next" href="#carouselExampleFade" role="button" data-slide="next">
                <span class="carousel-control-next-icon" aria-hidden="true"></span>
                <span class="sr-only">Next</span>
            </a>
        </div>

        <!-- <div [routerLink]="['/contactUs']" routerLinkActive="router-link-active"  class="chat-icon"></div>
        <div [routerLink]="['/contactUs']" routerLinkActive="router-link-active"  class="mobile-chat-icon">
            <input type="text" placeholder="Ask Us!"/>
            <div [routerLink]="['/contactUs']" routerLinkActive="router-link-active" class="mobile-icon"></div>
        </div> -->
    </mat-card>
</section>